---
title: "יצירת חשבון"
icon: 'material/account-plus'
---

לעתים קרובות אנשים נרשמים לשירותים מבלי לחשוב. אולי זה שירות סטרימינג כדי שתוכלו לצפות בתוכנית החדשה שכולם מדברים עליה, או חשבון שנותן לכם הנחה על מקום המזון המהיר האהוב עליכם. לא משנה מה המקרה, אתה צריך לשקול את ההשלכות על הנתונים שלך עכשיו ומאוחר יותר לאורך הקו.

ישנם סיכונים הקשורים לכל שירות חדש שאתה משתמש. פריצות נתונים; חשיפת מידע על לקוחות לצדדים שלישיים; עובדים סוררים הניגשים לנתונים; כל אלה הן אפשרויות שיש לקחת בחשבון בעת מסירת המידע שלך. אתה צריך להיות בטוח שאתה יכול לסמוך על השירות, ולכן אנחנו לא ממליצים לאחסן נתונים יקרי ערך על שום דבר אבל את המוצרים הבוגרים ביותר נבדק קרב. זה בדרך כלל אומר שירותים המספקים E2EE ועברו ביקורת קריפטוגרפית. ביקורת מגבירה את הביטחון כי המוצר תוכנן ללא בעיות אבטחה בולטות שנגרמו על ידי מפתח לא מנוסה.

זה יכול להיות גם קשה למחוק את החשבונות על שירותים מסוימים. לפעמים ניתן [לשכתב נתונים](account-deletion.en.md#overwriting-account-information) המשויכים לחשבון, אך במקרים אחרים השירות ישמור על היסטוריה שלמה של שינויים בחשבון.

## תנאי שירות & מדיניות פרטיות

התנאים וההגבלות הם הכללים שאתה מסכים לציית להם בעת השימוש בשירות. עם שירותים גדולים יותר כללים אלה נאכפים לעתים קרובות על ידי מערכות אוטומטיות. לפעמים מערכות אוטומטיות אלה יכולות לעשות טעויות. לדוגמה, ייתכן שתוחרם או תינעל מחוץ לחשבונך בשירותים מסוימים לשימוש במספר VPN או VOIP. ערעור על איסורים כאלה הוא לעתים קרובות קשה, וכרוך בתהליך אוטומטי מדי, אשר לא תמיד מוצלח. זו אחת הסיבות שאנחנו לא ממליצים להשתמש ב - Gmail כדוגמה. דואר אלקטרוני הוא חיוני לגישה לשירותים אחרים שאולי נרשמת אליהם.

מדיניות הפרטיות היא האופן שבו השירות אומר שהוא ישתמש בנתונים שלך וכדאי לקרוא אותו כדי שתבין כיצד ייעשה שימוש בנתונים שלך. ייתכן שחברה או ארגון לא יהיו מחויבים על פי חוק לפעול על פי כל האמור במדיניות (הדבר תלוי בתחום השיפוט). אנחנו ממליצים שיהיה לך מושג מהם החוקים המקומיים שלך ומה הם מאפשרים לספק לאסוף.

אנו ממליצים לחפש מונחים מסוימים כגון "איסוף נתונים "," ניתוח נתונים ", "עוגיות "," מודעות "או" שירותי צד שלישי ". לפעמים תוכל לבטל את הסכמתך לאיסוף נתונים או לשיתוף הנתונים שלך, אך עדיף לבחור בשירות שמכבד את הפרטיות שלך מההתחלה.

אתה גם נותן את אמונך בחברה או בארגון לציית בפועל למדיניות הפרטיות שלהם.

## שיטות אימות

יש בדרך כלל מספר דרכים להירשם לחשבון, כל אחת עם היתרונות והחסרונות שלה.

### כתובת דוא"ל וסיסמה

הדרך הנפוצה ביותר ליצור חשבון חדש היא באמצעות כתובת דוא"ל וסיסמה. בעת שימוש בשיטה זו, עליך להשתמש במנהל סיסמאות ולעקוב אחר [שיטות מומלצות](passwords-overview.md) בנוגע לסיסמאות.

!!! tip "טיפ"

    אתה יכול להשתמש במנהל הסיסמאות שלך כדי לארגן שיטות אימות אחרות גם! פשוט להוסיף את הערך החדש ולמלא את השדות המתאימים, אתה יכול להוסיף הערות עבור דברים כמו שאלות אבטחה או מפתח גיבוי.

אתה תהיה אחראי לניהול אישורי הכניסה שלך. לאבטחה נוספת, תוכל להגדיר [MFA](multi-factor-authentication.md) בחשבונות שלך.

[מנהלי סיסמאות מומלצים](../passwords.md ""){.md-button}

#### כינויים בדוא"ל

אם אינך מעוניין למסור את כתובת הדואר האלקטרוני האמיתית שלך לשירות, יש לך אפשרות להשתמש בכינוי. תיארנו אותם ביתר פירוט בדף ההמלצות שלנו לשירותי דוא"ל. בעיקרו של דבר, שירותי כינויים מאפשרים לך ליצור כתובות דוא"ל חדשות שמעבירות את כל הודעות הדוא"ל לכתובת הראשית שלך. זה יכול לעזור למנוע מעקב על פני שירותים ולעזור לך לנהל את הודעות הדוא"ל השיווקיות שלפעמים מגיעות עם תהליך ההרשמה. ניתן לסנן אותם באופן אוטומטי על סמך הכינוי שאליו הם נשלחים.

אם שירות נפרץ, ייתכן שתתחיל לקבל הודעות דיוג או דואר זבל לכתובת שבה השתמשת כדי להירשם. שימוש בכינויים ייחודיים עבור כל שירות יכול לסייע בזיהוי בדיוק איזה שירות נפרץ.

[שירותי כינוי דואר אלקטרוני מומלצים](../email.md#email-aliasing-services ""){.md-button}

### כניסה יחידה

!!! note "הערה"

    אנו דנים בכניסה יחידה לשימוש אישי, לא משתמשים ארגוניים.

כניסה יחידה (SSO) היא שיטת אימות המאפשרת לך להירשם לשירות מבלי לשתף מידע רב, אם בכלל. בכל פעם שאתה רואה משהו לאורך השורות של "היכנס עם שם ספק **" בטופס רישום זה SSO.

כאשר אתה בוחר כניסה בודדת באתר אינטרנט, הוא יבקש את דף הכניסה של ספק ה - SSO שלך ולאחר מכן החשבון שלך יחובר. הסיסמה שלך לא תשותף, אך חלק מהמידע הבסיסי ישותף (תוכל לעיין בו במהלך בקשת ההתחברות). תהליך זה נדרש בכל פעם שאתה רוצה להתחבר לאותו חשבון.

היתרונות העיקריים הם:

- **אבטחה**: אין סיכון להיות מעורב [בהפרת נתונים](https://en.wikipedia.org/wiki/Data_breach) כי האתר אינו מאחסן את האישורים שלך.
- **קלות שימוש**: חשבונות מרובים מנוהלים על ידי כניסה יחידה.

אבל יש חסרונות:

- **פרטיות**: ספק SSO יידע את השירותים שבהם אתה משתמש.
- **ריכוזיות**: אם חשבון ה - SSO שלך נפרץ או שאינך מצליח להתחבר אליו, כל החשבונות האחרים המחוברים אליו מושפעים.

SSO יכול להיות שימושי במיוחד במצבים שבהם אתה יכול להפיק תועלת אינטגרציה עמוקה יותר בין שירותים. לדוגמה, אחד מהשירותים האלה עשוי להציע SSO עבור האחרים. ההמלצה שלנו היא להגביל את SSO רק איפה שאתה צריך את זה ולהגן על החשבון הראשי עם [MFA](multi-factor-authentication.md).

כל השירותים המשתמשים ב - SSO יהיו מאובטחים כמו חשבון SSO שלך. לדוגמה, אם ברצונך לאבטח חשבון עם מפתח חומרה, אך שירות זה אינו תומך במפתחות חומרה, באפשרותך לאבטח את חשבון ה - SSO שלך באמצעות מפתח חומרה וכעת למעשה יש לך MFA של חומרה בכל החשבונות שלך. עם זאת, ראוי לציין כי אימות חלש בחשבון ה-SSO שלך פירושו שכל חשבון הקשור לכניסה זו יהיה גם חלש.

### מספר טלפון

אנו ממליצים להימנע משירותים הדורשים מספר טלפון להרשמה. מספר טלפון יכול לזהות אותך בשירותים מרובים ובהתאם להסכמי שיתוף נתונים, הדבר יהפוך את השימוש שלך לקל יותר למעקב, במיוחד אם אחד משירותים אלה נפרץ מכיוון שמספר הטלפון לרוב **אינו** מוצפן.

אתה צריך להימנע ממתן מספר הטלפון האמיתי שלך אם אתה יכול. שירותים מסוימים יאפשרו שימוש במספרי VOIP, אך לעתים קרובות אלה מפעילים מערכות לזיהוי הונאות, מה שגורם לנעילת חשבון, ולכן איננו ממליצים על כך עבור חשבונות חשובים.

במקרים רבים תצטרך לספק מספר שתוכל לקבל ממנו SMS או שיחות, במיוחד בעת קניות בינלאומיות, במקרה שיש בעיה עם ההזמנה שלך בבדיקת גבולות. מקובל ששירותים משתמשים במספר שלך כשיטת אימות; אל תתנו לעצמכם להינעל מחוץ לחשבון חשוב כי רציתם להיות חכמים ולתת מספר מזויף!

### שם משתמש וסיסמה

שירותים מסוימים מאפשרים לך להירשם מבלי להשתמש בכתובת דוא"ל ודורשים ממך רק להגדיר שם משתמש וסיסמה. שירותים אלה עשויים לספק אנונימיות מוגברת בשילוב עם VPN או Tor. זכור כי עבור חשבונות אלה סביר להניח **שלא תהיה דרך לשחזר את החשבון שלך** במקרה שתשכח את שם המשתמש או הסיסמה שלך.
