---
title: סקירה כללית של VPN
icon: material/vpn
---

רשתות פרטיות וירטואליות הן דרך להרחיב את קצה הרשת שלך ליציאה ממקום אחר בעולם. ספק אינטרנט יכול לראות את הזרימה של תעבורת האינטרנט הנכנסת ויוצאת מהתקן סיום הרשת שלך (כלומר, מודם).

פרוטוקולי הצפנה כגון HTTPS נמצאים בשימוש נפוץ באינטרנט, כך שהם אולי לא יוכלו לראות בדיוק מה אתה מפרסם או קורא אבל הם יכולים לקבל מושג על [הדומיינים שאתה מבקש](../advanced/dns-overview.md#why-shouldnt-i-use-encrypted-dns).

VPN יכול לעזור מכיוון שהוא יכול להעביר אמון לשרת במקום אחר בעולם. כתוצאה מכך, ספק האינטרנט רואה רק שאתם מחוברים ל-VPN ואין שום דבר על הפעילות שאתם מעבירים לתוכו.

## האם כדאי להשתמש ב - VPN?

**כן**, אלא אם כן אתה כבר משתמש ב - Tor. VPN עושה שני דברים: העברת הסיכונים מספק האינטרנט אל עצמו והסתרת כתובת ה - IP שלכם משירות של צד שלישי.

שירותי VPN לא יכולים להצפין נתונים מחוץ לחיבור בין המכשיר שלכם לבין שרת ה - VPN. ספקי VPN יכולים לראות ולשנות את התעבורה שלכם באותה דרך שבה ספק האינטרנט שלכם יכול. ואין שום דרך לאמת את מדיניות ה"אין רשומות "של ספק ה - VPN בשום דרך.

עם זאת, הם מסתירים את כתובת ה - IP האמיתית שלך משירות צד שלישי, בתנאי שאין דליפות IP. הם עוזרים לך להשתלב עם אחרים ולהפחית מעקב מבוסס IP.

## מתי לא כדאי להשתמש ב - VPN?

השימוש ב - VPN במקרים שבהם אתם משתמשים בזהות [הידועה שלכם](common-threats.md#common-misconceptions) לא סביר שיהיה שימושי.

פעולה זו עלולה להפעיל מערכות לזיהוי דואר זבל והונאות, לדוגמא אם היית מתחבר לאתר האינטרנט של הבנק שלך.

## מה לגבי הצפנה?

ההצפנה שמציעים ספקי VPN היא בין המכשירים שלכם לשרתים שלהם. הוא מבטיח שהקישור הספציפי הזה מאובטח. זוהי עליית מדרגה משימוש בפרוקסי לא מוצפנים שבהם יריב ברשת יכול ליירט את התקשורת בין המכשירים שלך לבין הפרוקסי האמורים ולשנות אותם. עם זאת, הצפנה זו אינה מטפלת בהצפנה בין האפליקציות או הדפדפנים שלך עם ספקי השירות.

על מנת לשמור על מה שאתה עושה בפועל באתרים שבהם אתה מבקר פרטיים ומאובטחים, עליך להשתמש ב- HTTPS. זה ישמור על הסיסמאות, אסימוני ההפעלה(session tokens) והשאילתות שלכם בטוחים מספק ה-VPN. שקול להפעיל "HTTPS בכל מקום" בדפדפן שלך כדי למתן התקפות שדרוג לאחור כמו [SSL Strip](https://www.blackhat.com/presentations/bh-dc-09/Marlinspike/BlackHat-DC-09-Marlinspike-Defeating-SSL.pdf).

## האם להשתמש ב - DNS מוצפן עם VPN?

אם ספק ה-VPN שלכם מארח את שרתי ה-DNS המוצפנים, **לא**. שימוש ב-DOH/DOT (או בכל צורה אחרת של DNS מוצפן) עם שרתי צד שלישי פשוט יוסיף עוד ישויות לסמוך עליהם ולא יעשה **שום דבר** כדי לשפר את הפרטיות / האבטחה שלך. ספק ה-VPN שלכם עדיין יכול לראות באילו אתרים אתם מבקרים על סמך כתובות ה-IP ושיטות אחרות. במקום לסמוך רק על ספק ה-VPN שלכם, אתם סומכים כעת גם על ספק ה-VPN וגם על ספק ה-DNS.

סיבה נפוצה להמליץ על DNS מוצפן היא שהוא עוזר נגד זיוף DNS. עם זאת, הדפדפן שלך כבר אמור לבדוק [אישורי TLS](https://en.wikipedia.org/wiki/Transport_Layer_Security#Digital_certificates) עם **HTTPS** ולהזהיר אותך לגבי זה. אם אתה לא משתמש ב-** HTTPS,** אז יריב עדיין יכול פשוט לשנות כל דבר אחר מלבד שאילתות ה- DNS שלך והתוצאה הסופית תהיה מעט שונה.

מיותר לציין, **אין להשתמש ב - DNS מוצפן עם Tor**. פעולה זו תכוון את כל בקשות ה - DNS שלך דרך מעגל יחיד ותאפשר לספק ה - DNS המוצפן לבטל את האנונימיות שלך.

## האם כדאי לי להשתמש ב-Tor *וב-*VPN?

על ידי שימוש ב-VPN עם Tor, אתם יוצרים למעשה צומת כניסה קבוע, לעתים קרובות עם שובל כסף מחובר אלייך. זה מספק אפס יתרונות נוספים עבורך, תוך הגדלת שטח התקיפה של החיבור שלך באופן דרמטי. אם אתם רוצים להסתיר את השימוש שלכם ב-Tor מספק האינטרנט שלכם או מהממשלה שלכם, ל-Tor יש פתרון מובנה לכך: גשרי Tor. [למידע נוסף על גשרי Tor ולמה השימוש ב - VPN אינו הכרחי](../advanced/tor-overview.md).

## מה אם אני צריך אנונימיות?

רשתות VPN לא יכולות לספק אנונימיות. ספק ה-VPN שלכם עדיין יראה את כתובת ה-IP האמיתית שלכם, ולעתים קרובות יש לו נתיב של כסף שניתן לקשר ישירות אליכם. אינך יכול להסתמך על מדיניות "ללא לוגים"(רשומות) כדי להגן על הנתונים שלך. השתמש [ב Tor](https://www.torproject.org/) במקום.

## מה לגבי ספקי VPN שמספקים צמתי Tor?

אל תשתמש בתכונה זו. המטרה של השימוש ב - Tor היא לא לסמוך על ספק ה - VPN שלכם. בשלב זה Tor תומך רק בפרוטוקול [TCP](https://en.wikipedia.org/wiki/Transmission_Control_Protocol). [UDP](https://en.wikipedia.org/wiki/User_Datagram_Protocol) שומש ב [WebRTC](https://en.wikipedia.org/wiki/WebRTC) עבור שיתוף קול ווידאו, החדש [HTTP3/QUIC](https://en.wikipedia.org/wiki/HTTP/3) protocol, etc), [ICMP](https://en.wikipedia.org/wiki/Internet_Control_Message_Protocol) וחבילות אחרות יושמטו. כדי לפצות על כך, ספקי VPN בדרך כלל ינתבו את כל החבילות שאינן TCP דרך שרת ה-VPN שלהם (הדילוג הראשון שלכם). זהו המקרה עם [ProtonVPN](https://protonvpn.com/support/tor-vpn/). בנוסף, כאשר משתמשים ב - Tor זה בהגדרת VPN, אין לכם שליטה על תכונות Tor חשובות אחרות כגון [כתובת יעד מבודדת](https://www.whonix.org/wiki/Stream_Isolation) (שימוש במעגל Tor שונה עבור כל דומיין שאתם מבקרים בו).

יש לראות את התכונה כדרך נוחה לגשת לרשת Tor, לא כדי להישאר אנונימי. לאנונימיות נאותה, השתמש בדפדפן Tor, TorSocks או Tor gateway.

## מתי VPN שימושי?

VPN עדיין עשוי להועיל לכם במגוון תרחישים, כגון:

1. הסתרת התעבורה שלך מ **רק** ספק שירותי האינטרנט שלך.
1. הסתרת ההורדות שלך (כגון טורנטים) מספק שירותי האינטרנט ומארגונים נגד פיראטיות.
1. הסתרת כתובת ה - IP שלך מאתרים ושירותים של צד שלישי, מניעת מעקב מבוסס IP.

במקרים כאלה, או אם יש לכם סיבה משכנעת אחרת, ספקי ה-VPN שמנינו למעלה הם האנשים שאנחנו חושבים שהם האמינים ביותר. עם זאת, שימוש בספק VPN עדיין אומר שאתם *סומכים* על הספק. כמעט בכל תרחיש אחר אתה אמור להשתמש בכלי **שמעוצב** ומאובטח כמו Tor.

## מקורות וקריאה נוספת

1. [VPN - נרטיב רעוע מאוד](https://schub.io/blog/2019/04/08/very-precarious-narrative.html) מאת Dennis Schubert
1. [סקירה כללית של רשת Tor](../advanced/tor-overview.md)
1. [IVPN Privacy Guides](https://www.ivpn.net/privacy-guides)
1. ["האם אני צריך VPN?"](https://www.doineedavpn.com), כלי שפותח על ידי IVPN כדי לאתגר שיווק VPN אגרסיבי בכך שהוא עוזר לאנשים להחליט אם VPN מתאים להם.

## מידע שקשור ל VPN

- [הבעיה עם אתרי ביקורות VPN ופרטיות](https://blog.privacyguides.org/2019/11/20/the-trouble-with-vpn-and-privacy-review-sites/)
- [חקירה של אפליקציות VPN חינמית](https://www.top10vpn.com/free-vpn-app-investigation/)
- [בעלי VPN נסתרים נחשפו: 101 מוצרי VPN המנוהלים על ידי 23 חברות בלבד](https://vpnpro.com/blog/hidden-vpn-owners-unveiled-97-vpns-23-companies/)
- [חברה סינית זו עומדת בחשאי מאחורי 24 אפליקציות פופולריות המבקשות הרשאות מסוכנות](https://vpnpro.com/blog/chinese-company-secretly-behind-popular-apps-seeking-dangerous-permissions/)
